Apply a bulk action to anonymization fields

Base URL
https://{kibana_url}
  • POST /api/security_ai_assistant/anonymization_fields/_bulk_action
Auth

Apply a bulk action to multiple anonymization fields. The bulk action is applied to all anonymization fields that match the filter or to the list of anonymization fields by their IDs.

Request body

Responses

Indicates a successful call.

application/json
anonymization_fields_count integer

Total number of anonymization fields processed.

attributes object required
results object required
created object[] required

List of anonymization fields successfully created.

allowed boolean

Whether this field is allowed to be sent to the model.

anonymized boolean

Whether this field should be anonymized.

createdAt string

Timestamp of when the anonymization field was created.

createdBy string

Username of the person who created the anonymization field.

field string required

Name of the anonymization field.

id string · format: nonempty · min length: 1 required

A string that does not contain only whitespace characters.

namespace string

Kibana space in which this anonymization field exists.

timestamp string · format: nonempty · min length: 1

A string that represents a timestamp in ISO 8601 format and does not contain only whitespace characters.

updatedAt string

Timestamp of the last update.

updatedBy string

Username of the person who last updated the field.

deleted string[] required
skipped object[] required

List of anonymization fields that were skipped during the operation.

id string required

The ID of the anonymization field that was not modified.

name string

Name of the anonymization field that was not modified.

skip_reason enum required

Reason why the anonymization field was not modified.

Values: ANONYMIZATION_FIELD_NOT_MODIFIED
updated object[] required

List of anonymization fields successfully updated.

Same fields as created in results
summary object required
failed integer required

The number of failed actions.

skipped integer required

The number of skipped actions.

succeeded integer required

The number of successfully performed actions.

total integer required

The total number of actions attempted.

message string

Message providing information about the bulk action result.

status_code integer

HTTP status code returned.

success boolean

Indicates if the bulk action was successful.

Base URL
https://{kibana_url}